Subject: Re: IMQ again WAS(Re: iptables breakage WAS(Re: dummy as IMQ replacement

From: Andy Furniss <[email-masked]>
Date: Sun, 27 Mar 2005 20:35:21 +0100

jamal wrote:

>>I'll have to re-run a test I did recently which was lots of tc filter 
>>matches at 8000pps - on egress IMQ was almost as good as directly on 
>>eth0. On ingress it was more than 10X worse.
>>
> How many filters? I wont suspect any difference between ingress 
> and egress.

You are right - the test was to blame.

I was using my old PC as sender, it's frozen in time at 2.4.20 which for 
some reason has a txqueuelen on eth0 of 0. It doesn't show using netperf 
when just testing LAN speed - but makes alot of difference for the test 
I did - ifconfig eth0 txqueuelen 1000 fixed it.

Andy.